// pages/user/cmps/userinfo/index.js
const app = getApp()
Component({
  options: {
    addGlobalClass: true,
    multipleSlots: true // 启用slot属性
  },
  /**
   * 组件的属性列表
   */
  properties: {
    userInfo: {
      type: Object
    }
  },
  
  /**
   * 组件的初始数据
   */
  data: {
    StatusBar: app.globalData.StatusBar,
    CustomBar: app.globalData.CustomBar,
    Custom: app.globalData.Custom,
    src: 'https://res.wx.qq.com/wxdoc/dist/assets/img/0.4cb08bb4.jpg'
  },

  /**
   * 组件的方法列表
   */
  methods: {
    goLogin() {
      this.triggerEvent("goLogin")
    },
  }
})
